/// <reference types="react" />
import type * as CSS from "csstype";
import type { TypographyProps, SpaceProps, LayoutProps, PositionProps, FlexboxProps, ColorProps, BorderProps, ShadowProps, ResponsiveValue } from "styled-system";
export interface BoxProps extends TypographyProps, SpaceProps, LayoutProps, PositionProps, FlexboxProps, ColorProps, BorderProps, ShadowProps {
    as?: keyof JSX.IntrinsicElements;
    area?: ResponsiveValue<CSS.Property.GridArea>;
    columnStart?: ResponsiveValue<CSS.Property.GridColumnStart | number>;
    columnEnd?: ResponsiveValue<CSS.Property.GridColumnEnd | number>;
    columnSpan?: ResponsiveValue<number>;
    rowStart?: ResponsiveValue<CSS.Property.GridRowStart | number>;
    rowEnd?: ResponsiveValue<CSS.Property.GridRowEnd | number>;
    rowSpan?: ResponsiveValue<number>;
    gap?: ResponsiveValue<CSS.Property.Gap | number>;
    columnGap?: ResponsiveValue<CSS.Property.ColumnGap | number>;
    rowGap?: ResponsiveValue<CSS.Property.RowGap | number>;
    whiteSpace?: ResponsiveValue<CSS.Property.WhiteSpace>;
    pointerEvents?: ResponsiveValue<CSS.Property.PointerEvents>;
    userSelect?: ResponsiveValue<CSS.Property.UserSelect>;
    cursor?: ResponsiveValue<CSS.Property.Cursor>;
    className?: string;
    children?: React.ReactNode;
}
export declare const Box: import("styled-components").StyledComponent<"div", any, BoxProps, never>;
