/// <reference types="react" />
import type { FlexProps } from "./flex";
export interface CheckboxProps extends Omit<React.InputHTMLAttributes<HTMLInputElement>, "onChange"> {
    orientation?: "horizontal" | "vertical";
    value?: string | number;
    checked?: boolean;
    defaultChecked?: boolean;
    onChange?: (checked: boolean, event: React.ChangeEvent<HTMLInputElement>) => void;
    disabled?: boolean;
    children?: React.ReactNode;
}
export interface CheckboxGroupProps extends FlexProps {
    value?: (string | number)[];
    defaultValue?: (string | number)[];
    onChange?: (value: (string | number)[]) => void;
    name: string;
    disabled?: boolean;
    isInvalid?: boolean;
}
declare const CompoundCheckbox: import("react").ForwardRefExoticComponent<CheckboxProps & import("react").RefAttributes<HTMLInputElement>> & {
    id: string;
    Group: import("react").ForwardRefExoticComponent<CheckboxGroupProps & import("react").RefAttributes<HTMLDivElement>>;
};
export { CompoundCheckbox as Checkbox };
