/// <reference types="react" />
import type { FlexProps } from "./flex";
type HsvaColor = {
    h: number;
    s: number;
    v: number;
    a: number;
};
export interface ColorSaturationProps extends Omit<React.HTMLAttributes<HTMLDivElement>, "color"> {
    hsva: HsvaColor;
    onChange?: (color: any) => void;
}
export interface ColorHueProps extends Omit<React.HTMLAttributes<HTMLDivElement>, "color"> {
    hue: number;
    onChange?: (color: any) => void;
}
export interface ColorPickerProps extends Omit<React.HTMLAttributes<HTMLDivElement>, "color">, FlexProps {
    color?: string;
    onChange?: (color: any) => void;
}
declare const CompoundColorPicker: import("react").ForwardRefExoticComponent<ColorPickerProps & import("react").RefAttributes<HTMLDivElement>> & {
    Saturation: import("react").MemoExoticComponent<import("react").ForwardRefExoticComponent<ColorSaturationProps & import("react").RefAttributes<HTMLDivElement>>>;
    Hue: import("react").MemoExoticComponent<import("react").ForwardRefExoticComponent<ColorHueProps & import("react").RefAttributes<HTMLDivElement>>>;
};
export { CompoundColorPicker as ColorPicker };
