import { system } from "styled-system";
import styled from "styled-components";
import { isNumber } from "../utils/type-util";
import { Box } from "./box";
function makeUnits(val) {
  return isNumber(val) ? `repeat(${val}, 1fr)` : val;
}
const grid = system({
  flow: {
    property: "gridAutoFlow"
  },
  columns: {
    property: "gridTemplateColumns",
    transform: makeUnits
  },
  rows: {
    property: "gridTemplateRows",
    transform: makeUnits
  },
  autoColumns: {
    property: "gridAutoColumns"
  },
  autoRows: {
    property: "gridAutoRows"
  },
  areas: {
    property: "gridTemplateAreas"
  }
});
export const Grid = styled(Box).withConfig({
  displayName: "grid__Grid",
  componentId: "sc-1ai4s8r-0"
})(["display:grid;", ""], grid);
if (process.env.NODE_ENV !== "production") {
  Grid.displayName = "Grid";
}
Grid.defaultProps = {
  height: "auto",
  flow: "row"
};