import { forwardRef } from "react";
import styled, { css } from "styled-components";
import { Box } from "./box";
import { jsx as _jsx } from "react/jsx-runtime";
import { Fragment as _Fragment } from "react/jsx-runtime";
const makeTypeColor = (type, color) => p => p.type === type && css(["background-color:", ";color:", ";"], p.theme.colors[color][0], p.theme.colors[color][7]);
const StyledHelp = styled(Box).withConfig({
  displayName: "help__StyledHelp",
  componentId: "sc-1xjoxyj-0"
})(["", " ", " ", ""], makeTypeColor("info", "info"), makeTypeColor("error", "danger"), makeTypeColor("warning", "warning"));
export const Help = /*#__PURE__*/forwardRef((_ref, ref) => {
  let {
    type = "info",
    color,
    children,
    ...rest
  } = _ref;
  return /*#__PURE__*/_jsx(_Fragment, {
    children: children ? /*#__PURE__*/_jsx(StyledHelp, {
      ref: ref,
      type: type,
      p: 2,
      bg: "primary.base",
      borderRadius: "base",
      color: color,
      ...rest,
      children: children
    }) : null
  });
});
if (process.env.NODE_ENV !== "production") {
  Help.displayName = "Help";
}