import { forwardRef } from "react";
import { system, fontSize, space, layout, color } from "styled-system";
import styled from "styled-components";
import { jsx as _jsx } from "react/jsx-runtime";
const other = system({
  transform: true,
  cursor: true
});
export const StyledIcon = styled.svg.withConfig({
  displayName: "icon__StyledIcon",
  componentId: "sc-1yz37kz-0"
})(["display:inline-block;user-select:none;flex-shrink:0;", " ", " ", " ", " ", ""], fontSize, space, layout, color, other);
export const Icon = /*#__PURE__*/forwardRef((_ref, ref) => {
  let {
    color,
    ...rest
  } = _ref;
  return /*#__PURE__*/_jsx(StyledIcon, {
    ref: ref,
    ...rest,
    color: color
  });
});
if (process.env.NODE_ENV !== "production") {
  Icon.displayName = "Icon";
}
Icon.defaultProps = {
  size: "1em",
  viewBox: "0 0 24 24",
  color: "currentColor",
  fill: "currentColor"
};