import * as ScrollAreaPrimitive from "@radix-ui/react-scroll-area";
import { forwardRef } from "react";
import styled from "styled-components";
import { Box } from "./box";
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
const ScrollAreaThumb = styled(ScrollAreaPrimitive.Thumb).withConfig({
  displayName: "scroll-box__ScrollAreaThumb",
  componentId: "sc-1q06egd-0"
})(["flex:1;position:relative;background:", ";border-radius:var(--scrollbar-size);&::before{position:absolute;top:50%;left:50%;transform:translate(-50%,-50%);width:100%;height:100%;min-width:16px;min-height:40px;content:\"\";}"], p => p.theme.colors.alpha[3]);
const ScrollAreaScrollbar = styled(ScrollAreaPrimitive.Scrollbar).withConfig({
  displayName: "scroll-box__ScrollAreaScrollbar",
  componentId: "sc-1q06egd-1"
})(["display:flex;padding:2px;transition:background 160ms ease-out;user-select:none;touch-action:none;&:hover{background:", ";}&[data-orientation=\"vertical\"]{width:var(--scrollbar-size);}&[data-orientation=\"horizontal\"]{flex-direction:column;height:var(--scrollbar-size);}"], p => p.theme.colors.alpha[1]);
const ScrollAreaCorner = styled(ScrollAreaPrimitive.Corner).withConfig({
  displayName: "scroll-box__ScrollAreaCorner",
  componentId: "sc-1q06egd-2"
})([""]);
const ScrollAreaViewport = styled(ScrollAreaPrimitive.Viewport).withConfig({
  displayName: "scroll-box__ScrollAreaViewport",
  componentId: "sc-1q06egd-3"
})(["width:100%;height:100%;max-height:inherit;border-radius:inherit;& > div{height:inherit;}"]);
const ScrollAreaRoot = styled(ScrollAreaPrimitive.Root).withConfig({
  displayName: "scroll-box__ScrollAreaRoot",
  componentId: "sc-1q06egd-4"
})(["--scrollbar-size:8px;overflow:hidden;", "{overscroll-behavior:", ";}"], ScrollAreaViewport, p => p.overScroll);
export const ScrollBox = /*#__PURE__*/forwardRef((_ref, ref) => {
  let {
    type = "hover",
    scrollHideDelay = 600,
    overScroll = "auto",
    color,
    children,
    ...rest
  } = _ref;
  return /*#__PURE__*/_jsx(ScrollAreaRoot, {
    asChild: true,
    type: type,
    scrollHideDelay: scrollHideDelay,
    overScroll: overScroll,
    children: /*#__PURE__*/_jsxs(Box, {
      ref: ref,
      ...rest,
      color: color,
      children: [/*#__PURE__*/_jsx(ScrollAreaViewport, {
        children: children
      }), /*#__PURE__*/_jsx(ScrollAreaScrollbar, {
        orientation: "vertical",
        children: /*#__PURE__*/_jsx(ScrollAreaThumb, {})
      }), /*#__PURE__*/_jsx(ScrollAreaScrollbar, {
        orientation: "horizontal",
        children: /*#__PURE__*/_jsx(ScrollAreaThumb, {})
      }), /*#__PURE__*/_jsx(ScrollAreaCorner, {})]
    })
  });
});
if (process.env.NODE_ENV !== "production") {
  ScrollBox.displayName = "ScrollBox";
}