type HsvaColor = {
    h: number;
    s: number;
    v: number;
    a: number;
};
type ColorModel = {
    toHsva: (color: any) => HsvaColor;
    fromHsva: (color: HsvaColor) => any;
    equal: (a: any, b: any) => boolean;
};
/**
 * Uses color manipulation in HSVA format. Can be applied to any incoming color format by specifying the color model.
 */
export declare function useColorManipulation(colorModel: ColorModel, color: any, onChange?: (color: any) => void): readonly [HsvaColor, (params: Partial<HsvaColor>) => void];
export {};
