/// <reference types="react" />
type ReactRef<T> = React.Ref<T> | React.RefObject<T> | React.MutableRefObject<T>;
/**
 * Merges multiple refs into a single ref. This will create a new function if the ref props change
 * and are defined. This means react will call the old forkRef with `null` and the new forkRef
 * with the ref. Cleanup naturally emerges from this behavior.
 */
export declare function useForkRef<T>(...refs: ReactRef<T>[]): ((val: T) => void) | null;
export {};
