type FontSizes = number[] & {
    sm: number;
    md: number;
    lg: number;
};
type Space = number[] & {
    xs: number;
    sm: number;
    md: number;
    lg: number;
};
type Breakpoints = string[] & {
    md: string;
    lg: string;
};
export declare const base: {
    fonts: {
        brand: string;
        body: string;
    };
    fontSizes: FontSizes;
    lineHeights: {
        none: number;
        shorter: number;
        short: number;
        base: number;
        tall: number;
        taller: number;
    };
    space: Space;
    breakpoints: Breakpoints;
    mediaQueries: {
        md: string;
        lg: string;
    };
    radii: {
        base: number;
    };
    transitions: {
        easeBaseIn: string;
        easeBaseOut: string;
        easeIn: string;
        easeOut: string;
        easeInOut: string;
        easeInBack: string;
        easeOutBack: string;
        easeInOutBack: string;
        easeInCircle: string;
        easeOutCircle: string;
        easeInOutCircle: string;
        easeInQuint: string;
        easeOutQuint: string;
        easeInOutQuint: string;
    };
    animationDurations: {
        slow: string;
        base: string;
        fast: string;
    };
};
export {};
