import { Children, isValidElement } from "react";
import { isFunction } from "./type-util";
/**
 * Assigns a value to a ref function or object.
 */
export function assignRef(ref, value) {
  if (isFunction(ref)) {
    ref(value);
  } else if (ref) {
    // @ts-ignore
    ref.current = value;
  }
}

/**
 * Gets the valid children of a component and ignores any nullish or falsy child.
 */
export function getValidChildren(children) {
  return Children.toArray(children).filter(el => /*#__PURE__*/isValidElement(el));
}