/**
 * Returns whether a value is null.
 */
export declare function isNull(val: any): val is null;
/**
 * Returns whether a value is defined.
 */
export declare function isDefined(val: any): boolean;
/**
 * Returns whether a value is undefined.
 */
export declare function isUndefined(val: any): val is undefined;
/**
 * Returns whether a value is an object and not null.
 */
export declare function isObjectLike(val: any): val is object;
/**
 * Returns whether a value is a plain object.
 */
export declare function isPlainObject(val: any): boolean;
/**
 * Returns whether a value is a function.
 */
export declare function isFunction<T extends Function = Function>(val: any): val is T;
/**
 * Returns whether a value is a boolean.
 */
export declare function isBoolean(val: any): val is boolean;
/**
 * Returns whether a value is a number.
 */
export declare function isNumber(val: any): val is number;
/**
 * Returns whether a value is a string.
 */
export declare function isString(val: any): val is string;
/**
 * Returns whether a value is an empty string.
 */
export declare function isEmptyString(val: any): val is string;
/**
 * Returns whether a value is a non-empty string.
 */
export declare function isNonEmptyString(val: any): val is string;
